from django.conf.urls import url, include


from .views import JanetView


from .views import IngredientsListView, IngredientsDetailView, IngredientsUpdateView, IngredientsCreateView


from .views import RecipesListView, RecipesDetailView, RecipesUpdateView, RecipesCreateView


from .views import OrdersListView, OrdersDetailView, OrdersUpdateView, OrdersCreateView




urlpatterns = [
    url(r'^froyo$', JanetView.as_view(), name='janet'),
    url(r'^froyo/ingredients$', IngredientsListView.as_view(), name='ingredients_list'),
	url(r'^froyo/ingredients/ingredient_name$', IngredientsDetailView.as_view(), name='ingredient_name'),
	url(r'^froyo/ingredients/update$', IngredientsUpdateView.as_view(), name='ingredients_update'),
	url(r'^froyo/ingredients/create$', IngredientsCreateView.as_view(), name='ingredients_create'),

	url(r'^froyo/recipes$', RecipesListView.as_view(), name='recipes_list'),
	url(r'^froyo/recipes/recipe_name$', RecipesDetailView.as_view(), name='recipe_name'),
	url(r'^froyo/recipes/update$', RecipesUpdateView.as_view(), name='recipes_update'),
	url(r'^froyo/recipes/create$', RecipesCreateView.as_view(), name='recipes_create'),

	url(r'^froyo/orders$', OrdersListView.as_view(), name='orders_list'),
	url(r'^froyo/orders/order_name$', OrdersDetailView.as_view(), name='order_name'),
	url(r'^froyo/orders/update$', OrdersUpdateView.as_view(), name='orders_update'),
	url(r'^froyo/orders/create$', OrdersCreateView.as_view(), name='orders_create'),
]
